## ara 0.4.20030813

=== Makefile ===
# Makefile
# $Id: Makefile,v 1.1.1.1 2002/12/03 00:21:24 berke Exp $

OCAMLMAKEFILE = OCamlMakefile
SOURCES = utils.ml ast.ml syntax.mly lexic.mll dpkg.ml opt.ml main.ml
RESULT = ara
LIBS = unix str

include $(OCAMLMAKEFILE)

## ara 1.0.8

=== debian/changelog ===
ara (1.0.8) unstable; urgency=low

  Changes by Samuel Mimram:

  * Cleaner rules files (binary-arch / indep are really used).
    (Closes: #286597)
  * The installation is now made by the main Makefiles instead of the rules.
  * Added a menu file for xara-gtk.

  Changes by George Danchev:

  * Add missing dependency of liblablgtk2-ocaml to xara-gtk and xara-gtk-byte.
    (Closes: #286367)
  * dh_strip -a

  Changed by Berke Durak:

  * Manual page refers to the Debian package names when talking of ara in xara
    or of xara in ara.
    (Closes: #286413)
  * Backported some speed improvements from 1.1.0 ; -cache-strings turned off
    by default.
  * Fixed typos in manual page code examples.
    (Closes: #286412)
  * Backported some syntax from 1.1.0 : and operator can be omitted.
  * Workaround for Qt rendering engine crashes (due to LablGTK or the engine)
    by means of an extra config. file.
    (Closes: #286589)

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Tue, 21 Dec 2004 22:07:08 +0100

ara (1.0.7) unstable; urgency=low

  * uploaded without proper entries ?

 -- George Danchev <danchev@spnet.net>  Mon, 20 Dec 2004 00:36:52 +0200

ara (1.0.6) unstable; urgency=low

  * Fixed important bug in set modules.
  * Started HTTP daemon.

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Fri,  3 Dec 2004 17:41:46 +0100

ara (1.0.5b) unstable; urgency=low

  * Ooops: gui.commands.* -> xara.commands.*
  * Make clean removes .depend files

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Wed,  1 Dec 2004 19:20:15 +0100

ara (1.0.5a) unstable; urgency=low

  * Ooops: cli.commands.pager -> ara.commands.pager

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Thu, 18 Nov 2004 08:25:06 +0100

ara (1.0.5) unstable; urgency=low

  * Pane and window size adjustments.

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Wed, 17 Nov 2004 21:40:37 +0100

ara (1.0.5rc4) unstable; urgency=low

  Changes by Berke Durak:

  * Fixed lot of small bugs.
  * Added #print in CLI.
  * Automatic selection of low-memory or high-memory backend.
  * Added apt-get upgrade, apt-get dist-upgrade.
  * Changed configuration strings to avoit repeating sudo or xterm -e.
  * Reverted to using Makefiles.

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Wed, 17 Nov 2004 16:09:49 +0100

ara (1.0.5rc3) unstable; urgency=low

  Changes by Berke Durak:

  * Optimized memory usage in normal mode.
  * Started low memory mode (-very-slow).
  * Heavily refactored Dpkg module.
  * Powerful, new configuration file syntax.
  * Persistance of GUI settings (window size, checkboxes, ...)
  * Added "Show files" tab to preference editor
  * Removed Makefiles and converted to ocamlconf.
  * Replaced ocaml-findlib with ocamlconf in Build-Depends.
  * Added Home, End, Page Up and Page Down bindings to ledit.

  Changes by George Danchev:

  * Added ocaml-findlib in Build-Depends:

 -- Oguz Berke Durak <berke-dev@ouvaton.org>  Mon, 15 Nov 2004 19:41:54 +0100

ara (1.0.4) unstable; urgency=low

  Changes by George Danchev:

  * control, control.smart: Added m4 in Build-Depends:
  * finally complete the implementation of spamoracle magic:
    native build on arches having ocamlopt and bytecode for all
    added compat 4, removed -a from dh_installdirs
    remove control.smart and rules.smart
  * Add commented DH_COMPAT=4 to rules although using 4 in debian/compat
  * fix directories for ara-byte, xara-gtk-byte

  Changes by Berke Durak:

  * Hopefully got Debver module right this time (ran it against the test suite found
  in APT)
  * Added check box for case-insensitive searches in field contents
  * Added check box to show only newest version
  * Added a "Simple search" dialog for the syntactically challenged.  It
    contains a button to show the list of existing sections.
  * Text entry box for searching field contents starts deactivated.
  * Added a check box to show all fields, even empty ones.

 -- George Danchev <danchev@spnet.net>  Sat,  6 Nov 2004 21:08:12 +0100

ara (1.0.3) unstable; urgency=low

  Changes by Berke Durak:

  * Added Debver module for correctly comparing Debian version numbers.
  * Uses Debver to filter old versions when -coalesce is set.
  * Redid menu layout.
  * Cleaned-up GUI code.
  * Added menu accelerators and mnemonics.
  * Added a "Newest only" check box.
  * Rewritten ara.1 manual page and included ledit manual page.
  * Changed makefiles to use bytecode compiler by default and to strip executables.
  * Added version.ml.
  * Automatic config file creation.
  * Config files are now in ~/.ara
  * CLI: added #memory and #compact, #install, #remove.
  * Fixed zombies and SIGPIPE problem with pager.
  * Added #fields (equivalent to #set -fields) ; now warns about non-existent
    fields.

  Changes by George Danchev:

  * Add control.smart: trying to port the idea of spamoracle packaging approach
    - xara-gtk: remove ocaml-base-3.08 from Depends:
    - xara-gtk-byte: change ocaml-base-3.08 to ocaml-base-nox-3.08 in Depends:
    - remove ocaml-nox-3.08, ocaml-interp from Build-Depends:
  * Add rules.smart:
    - handle installs for ara, ara-byte, xara-gtk, xara-gtk-byte

 -- Berke Durak <berke@congruence.net1.nerim.net>  Sun, 31 Oct 2004 19:10:30 +0100

ara (1.0.2) unstable; urgency=low

  * Can change options in interactive mode
  * Added field merging
  * Added /var/lib/dpkg/status to default list of databases.  This allows
    to search packages by installation status.
  * Added redirection operators.
  * Fixed line breaking.
  * Added -coalesce option to avoid displaying different versions of a
    same package.  (Still buggy -- does not use the newest version).
  * Fixed bug : ara now loads config on startup
  * Better command parsing (less bugs, ignore leading spaces, etc.)

 -- Berke Durak <berke@congruence.net1.nerim.net>  Thu, 28 Oct 2004 21:41:31 +0200

ara (1.0.1) unstable; urgency=low

  * Added manpage for xara
  * Added copyright files for ara and xara
  * Added README.Debian files for ara and xara


=== debian/control ===
Source: ara
Section: utils
Priority: optional
Maintainer: George Danchev <danchev@spnet.net>
Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 4.0.0), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
Standards-Version: 3.6.1

Package: ara
Architecture: alpha amd64 arm hppa i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}
Conflicts: ara-byte
Replaces: ara-byte
Recommends: sudo, apt
Suggests: a2ps
Description: A CLI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 The database lives, by default, as a text file under the path
 /var/lib/dpkg/available on your Debian installation. It lists all
 packages, installed or not, that are known to your Debian package
 management system.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the CLI version.

Package: ara-byte
Architecture: all 
Depends: ocaml-base-nox-3.08
Provides: ara
Conflicts: ara
Replaces: ara
Recommends: sudo, apt
Suggests: a2ps
Description: A CLI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 The database lives, by default, as a text file under the path
 /var/lib/dpkg/available on your Debian installation. It lists all
 packages, installed or not, that are known to your Debian package
 management system.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the CLI version.

Package: xara-gtk
Architecture: alpha amd64 arm hppa i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}, liblablgtk2-ocaml
Conflicts: xara-gtk-byte
Replaces: xara-gtk-byte
Recommends: sudo, apt
Suggests: a2ps
Description: A GTK GUI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 The database lives, by default, as a text file under the path
 /var/lib/dpkg/available on your Debian installation. It lists all
 packages, installed or not, that are known to your Debian package
 management system.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the GTK2 GUI version.

Package: xara-gtk-byte
Architecture: all
Depends: ocaml-base-nox-3.08, liblablgtk2-ocaml
Provides: xara-gtk
Conflicts: xara-gtk
Replaces: xara-gtk
Recommends: sudo, apt
Suggests: a2ps
Description: A GTK GUI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 The database lives, by default, as a text file under the path
 /var/lib/dpkg/available on your Debian installation. It lists all
 packages, installed or not, that are known to your Debian package
 management system.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the GTK2 GUI version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#CFLAGS = -Wall -g

#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif

TMPDIR = $(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: build-arch build-indep
	touch build-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
#	$(MAKE) bt
#       Make native on certain arches, and bytecode for everything
	if [ -x /usr/bin/ocamlopt.opt ]; then \
	  $(MAKE) OPT=.opt ; \
	elif [ -x /usr/bin/ocamlopt ]; then \
	    $(MAKE) ; \
	fi
	if [ -x /usr/bin/ocamlc.opt ]; then \
	  $(MAKE) OPT=.opt bt ; \
	elif [ -x /usr/bin/ocamlc ]; then \
	    $(MAKE) bt ; \
	fi
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp

	-$(MAKE) clean
	rm -rf $(TMPDIR)
	dh_clean

install-indep: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(TMPDIR)
	$(MAKE) install_bt DESTDIR=$(TMPDIR)

install-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(TMPDIR)
	if [ -x /usr/bin/ocamlopt -o -x /usr/bin/ocamlopt.opt ]; then \
	 $(MAKE) install DESTDIR=$(TMPDIR) ; \
        fi

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install --sourcedir=$(TMPDIR) --list-missing
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_link
	dh_compress
	dh_fixperms
	dh_strip -a
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## ara 1.0.9

=== debian/changelog ===
ara (1.0.9) unstable; urgency=medium

  Changes by Samuel Mimram:

  * Build arch-dependent packages only on archs supported by ocamlopt,
    closes: #290338.
  * Updated to OCaml 3.08.3.
  * Updated Standards-Version to 3.6.1.1.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Mar 2005 12:42:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: George Danchev <danchev@spnet.net>
 Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>
 Build-Depends: debhelper (>= 4.0.0), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
-Standards-Version: 3.6.1
+Standards-Version: 3.6.1.1
 
 Package: ara
 Architecture: alpha amd64 arm hppa i386 ia64 powerpc sparc
@@ -13,7 +13,7 @@
 Replaces: ara-byte
 Recommends: sudo, apt
 Suggests: a2ps
-Description: A CLI utility for searching the Debian package database
+Description: CLI utility for searching the Debian package database
  ara is a utility for searching the Debian package database using
  boolean regexp queries.
  .
@@ -33,13 +33,13 @@
 
 Package: ara-byte
 Architecture: all 
-Depends: ocaml-base-nox-3.08
+Depends:  ocaml-base-nox-3.08.3
 Provides: ara
 Conflicts: ara
 Replaces: ara
 Recommends: sudo, apt
 Suggests: a2ps
-Description: A CLI utility for searching the Debian package database
+Description: CLI utility for searching the Debian package database
  ara is a utility for searching the Debian package database using
  boolean regexp queries.
  .
@@ -59,12 +59,12 @@
 
 Package: xara-gtk
 Architecture: alpha amd64 arm hppa i386 ia64 powerpc sparc
-Depends: ${shlibs:Depends}, liblablgtk2-ocaml
+Depends: ${shlibs:Depends}
 Conflicts: xara-gtk-byte
 Replaces: xara-gtk-byte
 Recommends: sudo, apt
 Suggests: a2ps
-Description: A GTK GUI utility for searching the Debian package database
+Description: GTK GUI utility for searching the Debian package database
  ara is a utility for searching the Debian package database using
  boolean regexp queries.
  .
@@ -84,13 +84,13 @@
 
 Package: xara-gtk-byte
 Architecture: all
-Depends: ocaml-base-nox-3.08, liblablgtk2-ocaml
+Depends: ocaml-base-nox-3.08.3
 Provides: xara-gtk
 Conflicts: xara-gtk
 Replaces: xara-gtk
 Recommends: sudo, apt
 Suggests: a2ps
-Description: A GTK GUI utility for searching the Debian package database
+Description: GTK GUI utility for searching the Debian package database
  ara is a utility for searching the Debian package database using
  boolean regexp queries.
  .

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 #endif
 
 TMPDIR = $(CURDIR)/debian/tmp
+ARCH = d
 
 configure: configure-stamp
 configure-stamp:
@@ -40,12 +41,12 @@
 #	$(MAKE) bt
 #       Make native on certain arches, and bytecode for everything
 	if [ -x /usr/bin/ocamlopt.opt ]; then \
-	  $(MAKE) OPT=.opt ; \
+	    $(MAKE) OPT=.opt ; \
 	elif [ -x /usr/bin/ocamlopt ]; then \
 	    $(MAKE) ; \
 	fi
 	if [ -x /usr/bin/ocamlc.opt ]; then \
-	  $(MAKE) OPT=.opt bt ; \
+	    $(MAKE) OPT=.opt bt ; \
 	elif [ -x /usr/bin/ocamlc ]; then \
 	    $(MAKE) bt ; \
 	fi
@@ -82,7 +83,7 @@
 
 	mkdir -p $(TMPDIR)
 	if [ -x /usr/bin/ocamlopt -o -x /usr/bin/ocamlopt.opt ]; then \
-	 $(MAKE) install DESTDIR=$(TMPDIR) ; \
+	    $(MAKE) install DESTDIR=$(TMPDIR) ; \
         fi
 
 # Must not depend on anything. This is to be called by
@@ -100,7 +101,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_strip -a
+	dh_strip
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
@@ -114,7 +115,13 @@
 
 # Build architecture dependant packages using the common target.
 binary-arch: build install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
+	# The arch-dependent packages are only available on archs supported by ocamlopt
+	-@if [ -x /usr/bin/ocamlopt ] ; then \
+	    $(MAKE) -f debian/rules DH_OPTIONS=-s binary-common ; \
+	else \
+	    echo "There are no native code compilers on arch $(shell dpkg --print-architecture) \
+	    so this package arch-dependant part should not build on it." ; \
+	fi
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install

## ara 1.0.11build1

=== debian/changelog ===
ara (1.0.11build1) dapper; urgency=low

  * Rebuild to grab the correct ocaml deps

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 24 Jan 2006 10:06:29 +0100

ara (1.0.11) unstable; urgency=low

  [ George Danchev ]
  * Add kfreebsd-i386 to supported arch list. (Closes: #327753)
  * Add copyright information.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.09.0, no longer hardcoding OCaml's ABI in control.

 -- Samuel Mimram <smimram@debian.org>  Sun, 20 Nov 2005 12:38:55 +0100

ara (1.0.10) unstable; urgency=low

  [ George Danchev ]
  * Move generic info from control to README.Debian. (Closes: #317531)
  * Make clear native/bytecode, resp. faster/slower. (Closes: #325469)
  * Do *not* mention dpkg-iasearch and magpie in manpage since they're
    left in oldstable (woody) only and unmaintained. (Closes: #316430)

  [ Samuel Mimram ]
  * Updated Standards-Version to 3.6.2.
  * Updated the FSF address in the copyright file.

 -- Samuel Mimram <smimram@debian.org>  Thu,  8 Sep 2005 21:46:06 +0200

=== debian/control ===
Source: ara
Section: utils
Priority: optional
Maintainer: George Danchev <danchev@spnet.net>
Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 4.0.0), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
Standards-Version: 3.6.2

Package: ara
Architecture: alpha amd64 arm hppa i386 kfreebsd-i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}
Conflicts: ara-byte
Replaces: ara-byte
Recommends: sudo, apt
Suggests: a2ps
Description: CLI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the native CLI version. Faster than the bytecode CLI one.

Package: ara-byte
Architecture: all
Depends:  ocaml-base-nox-${F:OCamlABI}
Provides: ara
Conflicts: ara
Replaces: ara
Recommends: sudo, apt
Suggests: a2ps
Description: CLI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the bytecode CLI version. Slower that the native CLI one.

Package: xara-gtk
Architecture: alpha amd64 arm hppa i386 kfreebsd-i386 ia64 powerpc sparc
Depends: ${shlibs:Depends}
Conflicts: xara-gtk-byte
Replaces: xara-gtk-byte
Recommends: sudo, apt
Suggests: a2ps
Description: GTK GUI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the native GTK2 GUI version. Faster than the bytecode GTK2 GUI one.

Package: xara-gtk-byte
Architecture: all
Depends: ocaml-base-nox-${F:OCamlABI}
Provides: xara-gtk
Conflicts: xara-gtk
Replaces: xara-gtk
Recommends: sudo, apt
Suggests: a2ps
Description: GTK GUI utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any use-configurable command) to install or
 remove packages matching a query.
 .
 This is the bytecode GTK2 GUI version. Slower than the native GTK2 GUI one.

## ara 1.0.13

=== debian/changelog ===
ara (1.0.13) unstable; urgency=low

  [ George Danchev ]
  * improve package description. (Closes: #357831)
  * README.Debian mantions that this is a native debian source package
  * remove rules.hack
  * remove hppa and add hurd-i386 to native arch list

  [ Samuel Mimram ]
  * Updated standards version to 3.7.2, no changes needed.
  * We don't need to remove rpaths anymore.

 -- Samuel Mimram <smimram@debian.org>  Fri, 19 May 2006 07:59:54 +0000

ara (1.0.12) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.
  * Removing rpath from xara-gtk.

 -- Samuel Mimram <smimram@debian.org>  Sun, 29 Jan 2006 11:20:42 +0000

=== debian/control ===
Source: ara
Section: utils
Priority: optional
Maintainer: George Danchev <danchev@spnet.net>
Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 4.0.0), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
Standards-Version: 3.7.2

Package: ara
Architecture: alpha amd64 arm hurd-i386 i386 ia64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}
Conflicts: ara-byte
Replaces: ara-byte
Recommends: sudo, apt
Suggests: a2ps
Description: Command line utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.
 .
 This is the native version, which is faster than the bytecode one.

Package: ara-byte
Architecture: all
Depends:  ocaml-base-nox-${F:OCamlABI}
Provides: ara
Conflicts: ara
Replaces: ara
Recommends: sudo, apt
Suggests: a2ps
Description: Command line utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.
 .
 This is the bytecode version, which is slower than the native one.

Package: xara-gtk
Architecture: alpha amd64 arm hurd-i386 i386 ia64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}
Conflicts: xara-gtk-byte
Replaces: xara-gtk-byte
Recommends: sudo, apt
Suggests: a2ps
Description: GTK utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.
 .
 This is the native version, which is faster than the bytecode one.

Package: xara-gtk-byte
Architecture: all
Depends: ocaml-base-nox-${F:OCamlABI}
Provides: xara-gtk
Conflicts: xara-gtk
Replaces: xara-gtk
Recommends: sudo, apt
Suggests: a2ps
Description: GTK utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.
 .
 This is the bytecode version, which is slower than the native one.

## ara 1.0.17

=== debian/changelog ===
ara (1.0.17) unstable; urgency=low

  * cli: don't use heap compaction in non-interactive mode 
  * renamed Vcs-Svn to match the final name

 -- George Danchev <danchev@spnet.net>  Fri, 13 Oct 2006 15:44:19 +0300

ara (1.0.16) unstable; urgency=low

  * unify heap_compation in cli; use it on initial database load
  * print update hints if database could not be loaded
  * minor manpage cleanups
  * control: XS-X-VCS-Svn: svn://svn.debian.org/svn/ara
  * debhelper compat level 5 - no changes needed
  * xara-gtk-byte depends on liblablgtk2-ocaml (Closes: #390686)

 -- George Danchev <danchev@spnet.net>  Fri, 18 Aug 2006 19:29:12 +0300

ara (1.0.15) unstable; urgency=low

  * change pointer type from X_CURSOR to LEFT_PTR  (Closes: #382824)
  * add Sources list files to the default {x}ara.config (Closes: #382820)
  * mention Sources list files in OTHER FILES section of the manpage
  * mention packagesearch(1) instead of dpkg-iasearch in SEE ALSO section

 -- George Danchev <danchev@spnet.net>  Mon, 14 Aug 2006 14:26:38 +0300

ara (1.0.14) unstable; urgency=low

  [ George Danchev ]
  * trigger database reloading and heap compaction on #update

 -- George Danchev <danchev@spnet.net>  Sat, 22 Jul 2006 18:15:56 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: George Danchev <danchev@spnet.net>
 Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>
-Build-Depends: debhelper (>= 4.0.0), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
+Build-Depends: debhelper (>= 5.0.37.3), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
 Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.debian.org/svn/ara
 
 Package: ara
 Architecture: alpha amd64 arm hurd-i386 i386 ia64 kfreebsd-i386 powerpc sparc
@@ -69,7 +70,7 @@
 
 Package: xara-gtk-byte
 Architecture: all
-Depends: ocaml-base-nox-${F:OCamlABI}
+Depends: ocaml-base-nox-${F:OCamlABI}, liblablgtk2-ocaml
 Provides: xara-gtk
 Conflicts: xara-gtk
 Replaces: xara-gtk

=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+OCAMLABI := $(shell ocamlc -version)
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
-
-#CFLAGS = -Wall -g
-
-#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-#	CFLAGS += -O0
-#else
-#	CFLAGS += -O2
-#endif
 
 TMPDIR = $(CURDIR)/debian/tmp
 ARCH = d
@@ -105,7 +99,7 @@
 	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -VF:OCamlABI="$(OCAMLABI)"
 	dh_md5sums
 	dh_builddeb

## ara 1.0.22

=== debian/changelog ===
ara (1.0.22) unstable; urgency=low

  [ George Danchev ]
  * Applied a patch from Eric Cooper to fix a ftbfs for notebook
    objects in GPack which now return an int (Closes: #453191)

  [ Sylvain Le Gall ]
  * Add myself to uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 08 Dec 2007 00:35:16 +0100

ara (1.0.21) unstable; urgency=low

  * Make -list option default output style (Closes: #446454)

 -- George Danchev <danchev@spnet.net>  Sun, 14 Oct 2007 09:56:54 +0300

ara (1.0.20) unstable; urgency=low

  * Add missing build-dependency on camlp4.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 17:58:19 +0200

ara (1.0.19) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 17:25:45 +0200

ara (1.0.18) unstable; urgency=low

  * control: Added armel and kfreebsd-amd64 (Closes: #438338)
  * control: Do not disable errors in the clean target
  * menu:    Comply with the new section structure

 -- George Danchev <danchev@spnet.net>  Thu, 16 Aug 2007 21:33:38 +0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: George Danchev <danchev@spnet.net>
-Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>
-Build-Depends: debhelper (>= 5.0.37.3), liblablgtk2-ocaml-dev, ocaml-best-compilers, m4
+Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>
+Build-Depends: debhelper (>= 5.0.37.3), ocaml-nox (>= 3.10), ocaml-best-compilers, camlp4, liblablgtk2-ocaml-dev, m4
 Standards-Version: 3.7.2
-XS-Vcs-Svn: svn://svn.debian.org/svn/ara
+Vcs-Svn: svn://svn.debian.org/svn/ara
+Vcs-Browser: http://svn.debian.org/wsvn/ara
 
 Package: ara
-Architecture: alpha amd64 arm hurd-i386 i386 ia64 kfreebsd-i386 powerpc sparc
+Architecture: alpha amd64 arm armeb armel hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
 Depends: ${shlibs:Depends}
 Conflicts: ara-byte
 Replaces: ara-byte
@@ -49,7 +50,7 @@
  This is the bytecode version, which is slower than the native one.
 
 Package: xara-gtk
-Architecture: alpha amd64 arm hurd-i386 i386 ia64 kfreebsd-i386 powerpc sparc
+Architecture: alpha amd64 arm armeb armel hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
 Depends: ${shlibs:Depends}
 Conflicts: xara-gtk-byte
 Replaces: xara-gtk-byte

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	dh_testroot
 	rm -f build-stamp build-arch-stamp build-indep-stamp configure-stamp
 
-	-$(MAKE) clean
+	$(MAKE) clean
 	rm -rf $(TMPDIR)
 	dh_clean

## ara 1.0.25

=== debian/changelog ===
ara (1.0.25) unstable; urgency=low

  * rebuild against OCaml 3.10.2

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 28 May 2008 19:58:22 +0200

ara (1.0.24) unstable; urgency=high

  * add debian/control.in with the usual indirection to fill the Architecture
    field with the current list of architectures supported by the native code
    compiler
  * add debian/README.Debian-source documenting the above change
  * make debian/rules fail when binary-arch is invoked on architectures which
    are missing /usr/bin/ocamlopt. It should never happen and probably will
    only if in the future we drop some more OCaml native architectures and
    forget to update this package
  * bump the urgency for the OCaml 3.10.1 transition

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 06 Mar 2008 17:28:20 +0100

ara (1.0.23) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * add myself as an uploder
  * bump standards-version, no changes needed
  * bump urgency for the OCaml 3.10.1 transition
  * add Homepage field
  * make Vcs-* fields point to trunk/, to avoid checking out tags
  * fix GTK spelling in package descriptions

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 08 Dec 2007 13:55:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: George Danchev <danchev@spnet.net>
-Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>
+Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>, Stefano Zacchiroli <zack@debian.org>
 Build-Depends: debhelper (>= 5.0.37.3), ocaml-nox (>= 3.10), ocaml-best-compilers, camlp4, liblablgtk2-ocaml-dev, m4
-Standards-Version: 3.7.2
-Vcs-Svn: svn://svn.debian.org/svn/ara
-Vcs-Browser: http://svn.debian.org/wsvn/ara
+Standards-Version: 3.7.3
+Vcs-Svn: svn://svn.debian.org/svn/ara/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/ara/trunk
+Homepage: http://ara.alioth.debian.org/
 
 Package: ara
-Architecture: alpha amd64 arm armeb armel hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
+Architecture: amd64 hurd-i386 i386 kfreebsd-i386 powerpc sparc
 Depends: ${shlibs:Depends}
 Conflicts: ara-byte
 Replaces: ara-byte
@@ -50,13 +51,13 @@
  This is the bytecode version, which is slower than the native one.
 
 Package: xara-gtk
-Architecture: alpha amd64 arm armeb armel hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
+Architecture: amd64 hurd-i386 i386 kfreebsd-i386 powerpc sparc
 Depends: ${shlibs:Depends}
 Conflicts: xara-gtk-byte
 Replaces: xara-gtk-byte
 Recommends: sudo, apt
 Suggests: a2ps
-Description: GTK utility for searching the Debian package database
+Description: GTK+ utility for searching the Debian package database
  ara is a utility for searching the Debian package database using
  boolean regexp queries.
  .
@@ -77,7 +78,7 @@
 Replaces: xara-gtk
 Recommends: sudo, apt
 Suggests: a2ps
-Description: GTK utility for searching the Debian package database
+Description: GTK+ utility for searching the Debian package database
  ara is a utility for searching the Debian package database using
  boolean regexp queries.
  .

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 #export DH_VERBOSE=1
 
 OCAMLABI := $(shell ocamlc -version)
+OCAML_STDLIB_DIR := $(shell /usr/bin/ocamlc -where)
+OCAML_NATIVE_ARCHS := $(shell cat $(OCAML_STDLIB_DIR)/native-archs)
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -25,6 +27,11 @@
 configure-stamp:
 	dh_testdir
 	touch configure-stamp
+
+debian/control: debian/control.in
+	sed \
+		-e 's,@OCamlNativeArchs@,$(OCAML_NATIVE_ARCHS),g' \
+		$< > $@
 
 build: build-stamp
 build-stamp: build-arch build-indep
@@ -76,9 +83,7 @@
 	dh_installdirs
 
 	mkdir -p $(TMPDIR)
-	if [ -x /usr/bin/ocamlopt -o -x /usr/bin/ocamlopt.opt ]; then \
-	    $(MAKE) install DESTDIR=$(TMPDIR) ; \
-        fi
+	$(MAKE) install DESTDIR=$(TMPDIR)
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep in another 'make' thread.
@@ -109,13 +114,9 @@
 
 # Build architecture dependant packages using the common target.
 binary-arch: build install-arch
-	# The arch-dependent packages are only available on archs supported by ocamlopt
-	-@if [ -x /usr/bin/ocamlopt ] ; then \
-	    $(MAKE) -f debian/rules DH_OPTIONS=-s binary-common ; \
-	else \
-	    echo "There are no native code compilers on arch $(shell dpkg --print-architecture) \
-	    so this package arch-dependant part should not build on it." ; \
-	fi
+	# fails if ocamlopt is missing, in such cases binary-arch shouldn't have been invoked
+	test -x /usr/bin/ocamlopt
+	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install

## ara 1.0.27

=== debian/changelog ===
ara (1.0.27) unstable; urgency=low

  [ George Danchev ]
  * Added httpd/Makefile providing a clean target via config/Makefile.exec

  [ Sylvain Le Gall ]
  * Upgrade standards-version to 3.8.2 (no change)
  * Remove *-byte package which are complicated to maintain, provide either
    bytecode or native version depending on arch
  * Update debian/copyright to http://wiki.debian.org/Proposals/CopyrightFormat

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 10 Jul 2009 22:57:48 +0000

ara (1.0.26) unstable; urgency=low

  [ George Danchev ]
  * Update standards version to 3.8.0, no changes needed.
  * xara-gtkrc-2.0 is supplied commented out (serving as an example), since 
    LablGTK2 causes xara to crash with some window managers (rendering
    engines).
  * Drop BUGS file, since its data are consolidated.

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Use dh-ocaml.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 04 Mar 2009 09:58:10 +0100

=== debian/control ===
Source: ara
Section: utils
Priority: optional
Maintainer: George Danchev <danchev@spnet.net>
Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>, Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>= 7), dh-ocaml, ocaml-nox (>= 3.11.1), ocaml-best-compilers, camlp4 (>= 3.11), liblablgtk2-ocaml-dev (>= 2.12), m4
Standards-Version: 3.8.2
Vcs-Svn: svn://svn.debian.org/svn/ara/trunk
Vcs-Browser: http://svn.debian.org/wsvn/ara/trunk
Homepage: http://ara.alioth.debian.org/

Package: ara
Architecture: any
Depends: ${shlibs:Depends}, ${F:OCamlInterpreter}
Provides: ara-byte
Conflicts: ara-byte
Replaces: ara-byte
Recommends: sudo, apt
Suggests: a2ps
Description: Command line utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.

Package: xara-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${F:OCamlInterpreter}
Provides: xara-gtk-byte
Conflicts: xara-gtk-byte
Replaces: xara-gtk-byte
Recommends: sudo, apt
Suggests: a2ps
Description: GTK+ utility for searching the Debian package database
 ara is a utility for searching the Debian package database using
 boolean regexp queries.
 .
 ara can perform sophisticated searches on that database. It is possible
 to use any field of the package database as a search criterion and any
 boolean combination thereof.
 .
 ara can also call APT (or any user-configurable command) to install or
 remove packages matching a query.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for ara package.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

include /usr/share/ocaml/ocamlvars.mk

TMPDIR = $(CURDIR)/debian/tmp

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
OCAML_INTERPRETER=
else
OCAML_INTERPRETER=ocaml-base-nox-$(OCAML_ABI)
endif

build: build-stamp
build-stamp: 
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	if [ -x /usr/bin/ocamlopt.opt ]; then \
	    $(MAKE) OPT=.opt ; \
        else \
	    $(MAKE) ; \
	fi
else
	if [ -x /usr/bin/ocamlc.opt ]; then \
	    $(MAKE) OPT=.opt bt ; \
	else \
	    $(MAKE) bt ; \
	fi
endif
	$(MAKE) doc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	-$(RM) -r $(TMPDIR)
	-$(RM) build-stamp
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	mkdir -p $(TMPDIR)
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) install DESTDIR=$(TMPDIR)
else
	$(MAKE) install_bt DESTDIR=$(TMPDIR)
endif

binary-indep: 

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_install --list-missing -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- \
	  -VF:OCamlABI="$(OCAML_ABI)" \
	  -VF:OCamlInterpreter="$(OCAML_INTERPRETER)"
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## ara 1.0.28

=== debian/changelog ===
ara (1.0.28) unstable; urgency=low

  * Use dh-ocaml 0.9 features
  * Rebuilt for OCaml 3.11.2
  * Upgrade Standards-Version to 3.8.4 (no change)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 11 Feb 2010 23:02:42 +0000

## ara 1.0.29

=== debian/changelog ===
ara (1.0.29) unstable; urgency=low

  * OCaml str library has been renamed to libcamlstr.a,
    but it is not needed to be linked so dropped (Closes: #580029)

 -- George Danchev <danchev@spnet.net>  Fri, 11 Jun 2010 21:00:55 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: George Danchev <danchev@spnet.net>
 Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>, Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>= 7), dh-ocaml, ocaml-nox (>= 3.11.1), ocaml-best-compilers, camlp4 (>= 3.11), liblablgtk2-ocaml-dev (>= 2.12), m4
-Standards-Version: 3.8.2
+Build-Depends: debhelper (>= 7), dh-ocaml (>= 0.9.1), ocaml-nox (>= 3.11.1), ocaml-best-compilers, camlp4 (>= 3.11), liblablgtk2-ocaml-dev (>= 2.12), m4
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/svn/ara/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/ara/trunk
 Homepage: http://ara.alioth.debian.org/
 
 Package: ara
 Architecture: any
-Depends: ${shlibs:Depends}, ${F:OCamlInterpreter}
+Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
 Provides: ara-byte
 Conflicts: ara-byte
 Replaces: ara-byte
@@ -30,7 +30,7 @@
 
 Package: xara-gtk
 Architecture: any
-Depends: ${shlibs:Depends}, ${F:OCamlInterpreter}
+Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
 Provides: xara-gtk-byte
 Conflicts: xara-gtk-byte
 Replaces: xara-gtk-byte

## ara 1.0.30

=== debian/changelog ===
ara (1.0.30) unstable; urgency=low

  * Rebuild with ocaml 3.12.0
  * Add some use cases to README.Debian
  * Standards-Version: 3.9.1 (no changes needed)
  * Split build dependencies one per line
  * Switch to 3.0 (native) source format

 -- George Danchev <danchev@spnet.net>  Mon, 18 Apr 2011 19:37:15 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,13 @@
 Priority: optional
 Maintainer: George Danchev <danchev@spnet.net>
 Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>, Stefano Zacchiroli <zack@debian.org>
-Build-Depends: debhelper (>= 7), dh-ocaml (>= 0.9.1), ocaml-nox (>= 3.11.1), ocaml-best-compilers, camlp4 (>= 3.11), liblablgtk2-ocaml-dev (>= 2.12), m4
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), m4, 
+               dh-ocaml (>= 0.9.1),
+               ocaml-nox (>= 3.12.0), 
+	       ocaml-best-compilers, 
+	       camlp4 (>= 3.12), 
+	       liblablgtk2-ocaml-dev (>= 2.12)
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/ara/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/ara/trunk
 Homepage: http://ara.alioth.debian.org/

## ara 1.0.31

=== debian/changelog ===
ara (1.0.31) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA group. 
  * Uploaders field removed, the package is orphaned.
  * Standards-Version set to 3.9.3.

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 May 2012 21:17:26 +0000

## ara 1.0.31build1

=== cli/Makefile ===
# Makefile

BASE = ..
EXEC = ara
LIBS = $(WITHTHREADS) $(WITHSTR) $(WITHUNIX) $(WITHUTIL) \
       $(WITHLEDIT) $(WITHARA) $(WITHCOMMON) $(WITHCONFIGFILE)
SOURCES = debug.ml opt.ml config.ml wrap.ml pager.ml dump.ml cli.ml 

include Makefile.exec

=== common/Makefile ===
# $Id: Makefile.ara,v 1.1 2004/10/26 09:44:54 berke Exp $

BASE = ..
LIB = common
LIBS = 
SOURCES = version.mli version.ml help.mli help.ml
EXTRA_CLEAN = version.ml

include Makefile.library

version.ml: version.ml.tpl mkversion.sh
	./mkversion.sh

=== configfile/Makefile ===
# $Id$

BASE = ..
LIB = configfile
LIBS =$(WITHUNIX)
SOURCES = configfile.ml configurator.ml \
	  oldconfig.ml configuration.ml
PP = -pp camlp4o

include Makefile.library

=== gui/Makefile ===
# Makefile

BASE = ..
EXEC = xara
SOURCES = debug.mli debug.ml opt.mli opt.ml config.mli config.ml gui.mli gui.ml
LIBS = $(WITHUNIX) $(WITHTHREADS) $(WITHUTIL) \
       $(WITHSTR) $(WITHARA) $(WITHCOMMON) \
       $(WITHCONFIGFILE) $(WITHGTK2_THREAD)

include Makefile.exec

=== httpd/Makefile ===
# Makefile

BASE = ..
EXEC = ara
LIBS = $(WITHTHREADS) $(WITHSTR) $(WITHUNIX) $(WITHUTIL) \
       $(WITHLEDIT) $(WITHARA) $(WITHCOMMON) $(WITHCONFIGFILE)
SOURCES = cache.ml config.ml debug.ml html.ml httpd.ml http.ml log.ml opt.ml process.ml rgb.ml url_encoded_form.ml

include Makefile.exec

=== debian/changelog ===
ara (1.0.31build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:26:46 +0000

## ara 1.0.31build2

=== Makefile ===
# $Id: Makefile,v 1.8 2004/10/26 09:44:54 berke Exp $

MAKE := $(MAKE) -I ../config

all: native doc
bt: byte doc

doc:
	@$(MAKE) -C doc

native: depend
	@(for x in $(MODULES); do \
	  $(MAKE) -C $$x || exit 1; \
	  done)

depend:
	@(for x in $(MODULES); do \
	  $(MAKE) -C $$x depend || exit 1; \
	  done)

byte: depend
	@(for x in $(MODULES); do \
	  $(MAKE) -C $$x bt || exit 1; \
	  done)

httpd: depend
	$(MAKE) -C httpd

httpd-byte: depend
	$(MAKE) -C httpd bt

MODULES = util configfile ledit libara common cli gui
DIRS = $(MODULES) doc httpd

.PHONY: $(DIRS) all bt native byte doc depend httpd-byte \
	install install_bt install_natives install_bytes install_indep

clean:
	@(for x in $(DIRS); do \
	  $(MAKE) -C $$x clean; \
	  done); \
	rm -f *-stamp

DESTDIR =

install_natives: all
	mkdir -p $(DESTDIR)/usr/bin
	install -m 755 cli/ara         $(DESTDIR)/usr/bin/ara
	install -m 755 gui/xara        $(DESTDIR)/usr/bin/xara

install_bytes: bt
	mkdir -p $(DESTDIR)/usr/bin
	install -m 755 cli/ara.bt      $(DESTDIR)/usr/bin/ara
	install -m 755 gui/xara.bt     $(DESTDIR)/usr/bin/xara

install_indep:
	mkdir -p $(DESTDIR)/etc $(DESTDIR)/usr/share/man/man1
	install -m 644 doc/ara.1       $(DESTDIR)/usr/share/man/man1/
	gzip -9                        $(DESTDIR)/usr/share/man/man1/ara.1
	install -m 644 etc/ara.config  $(DESTDIR)/etc/ara.config
	install -m 644 doc/xara.1      $(DESTDIR)/usr/share/man/man1/
	gzip -9                        $(DESTDIR)/usr/share/man/man1/xara.1
	install -m 644 etc/xara.config $(DESTDIR)/etc/xara.config
	install -m 644 etc/xara-gtkrc-2.0 $(DESTDIR)/etc/xara-gtkrc-2.0

install: install_natives install_indep
install_bt: install_bytes install_indep

=== debian/changelog ===
ara (1.0.31build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 16:25:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ara
 Section: utils
 Priority: optional
-Maintainer: George Danchev <danchev@spnet.net>
-Uploaders: Oguz Berke Durak <berke-dev@ouvaton.org>, Samuel Mimram <smimram@debian.org>, Sylvain Le Gall <gildor@debian.org>, Stefano Zacchiroli <zack@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7), m4, 
                dh-ocaml (>= 0.9.1),
                ocaml-nox (>= 3.12.0), 
 	       ocaml-best-compilers, 
 	       camlp4 (>= 3.12), 
 	       liblablgtk2-ocaml-dev (>= 2.12)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/ara/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/ara/trunk
 Homepage: http://ara.alioth.debian.org/
